"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PROP_TYPES = void 0;
const isWebpack5_1 = require("./isWebpack5");
const webpack_1 = require("webpack");
let configKeys;
if (isWebpack5_1.isWebpack5()) {
    configKeys = Object.keys(webpack_1.config.getNormalizedWebpackOptions({}));
}
else {
    configKeys = [
        'amd',
        'bail',
        'cache',
        'context',
        'devServer',
        'devtool',
        'entry',
        'externals',
        'merge',
        'mode',
        'module',
        'node',
        'optimization',
        'output',
        'parallelism',
        'performance',
        'plugins',
        'profile',
        'recordsInputPath',
        'recordsOutputPath',
        'recordsPath',
        'resolve',
        'resolveLoader',
        'splitChunks',
        'stats',
        'target',
        'topScope',
        'watch',
        'watchOptions',
    ];
}
/**
 *
 * A Set of all accepted properties
 *
 * @returns {Set} A new set with accepted webpack properties
 */
exports.PROP_TYPES = new Set(configKeys);
