import { ExecaSyncReturnValue } from 'execa';
/**
 *
 * Attaches a promise to the installation of the package
 *
 * @param {Function} child - The function to attach a promise to
 * @returns {Promise} promise - Returns a promise to the installation
 */
export declare function processPromise(child: ExecaSyncReturnValue): Promise<void>;
/**
 *
 * Resolves and installs the packages, later sending them to @creator
 *
 * @param {String[]} pkg - The dependencies to be installed
 * @returns {Function|Error} creator - Builds
 * a webpack configuration through yeoman or throws an error
 */
export declare function resolvePackages(pkg: string[]): Function | void;
